-module(element_comboLookupText).

-include_lib("nitro/include/comboLookupText.hrl").
-include_lib("nitro/include/nitro.hrl").

-export([render_element/1]).


render_element( #comboLookupText{id = Id, input = Input, disabled = Disabled, validation = Validation, textarea = Textarea, values = _Values} ) ->
  %InputId = erlang:element(#element.id, Input),
  nitro:render(
    #panel{id = "wrap_" ++ Id ++ "_comboLookupText",
           validation = Validation,
           data_fields = [{<<"data-text-input">>, <<"data-text-input">>}],
           body = [
             #panel{id = "wrap_" ++ Id ++ "_lookup",
                    style = "display:flex;width:100%;justify-content:center;",
                    body =
                      case Disabled of
                        true -> [];
                        _ -> [Input]
                      end},
             #panel{id = "wrap_" ++ Id ++ "_textarea",
                    style = "display:flex;width:100%;justify-content:center;",
                    body = [Textarea]}
           ]}).

