-module(action_api).
%%-author('Maxim Sokhatsky').

-include_lib("nitro/include/nitro.hrl").
-include_lib("nitro/include/event.hrl").

-export([
  render_action/1
]).


render_action( #api{name = Name, delegate = Delegate} ) ->
  Data = "string(JSON.stringify(data))",
  PostbackScript = wf_event:new(Name, "document", Delegate, api_event, Data, []),
  erlang:iolist_to_binary(["document.", nitro:to_binary(Name), "=function(data){", PostbackScript, "};"]).

